Subject: [bug#70549] [PATCH] doc: Make changes to the handling of branches.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 01 May 2024 18:20:57 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> Require that you create a "Request to merge" issue when you create a branch,
> rather than when you wish to merge it.  This should help avoid this step being
> missed.

Excellent, I fully support this change!

A couple of questions/comments:

> Also, add information on how to manage these branches:
>
>  1. Suggest creating the branch from patches, rather than having a stateful
>  branch, since this should help to reduce complexity and avoid merges.

[...]

>  To help coordinate the merging of branches, you must create a new
> -guix-patches issue each time you wish to merge a branch (@pxref{The
> -Issue Tracker}).  The title of the issue requesting to merge a branch
> -should have the following format:
> +guix-patches issue each time you create a branch (@pxref{The Issue
> +Tracker}).  The title of the issue requesting to merge a branch should
> +have the following format:

This means someone on the team with commit access explicitly commits the
branch at the time they send the merge request email, right?

> +@item
> +The commits on the branch should be a combination of the patches
> +relevant to the branch.

Perhaps add: “; patches not related to the topic of the branch should go
elsewhere.”

> +@item
> +Avoid merging master in to the branch.  Prefer rebasing or re-creating
> +the branch on top of an updated master revision.
> +
> +@item
> +Minimise the changes on master that are missing on the branch prior to
> +merging the branch in to master.  Merging master in to the branch can be
> +appropriate for this purpose.

s/in to/into/

Thank you!

Ludo’.